org.eclipse.mat.parser.index

## Class IndexReader.IntIndex1NSortedReader

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexReader.IntIndex1NSortedReader

All Implemented Interfaces:
  IIndexReader, IIndexReader.IOne2ManyIndex

Enclosing class:
  IndexReader

    public static class IndexReader.IntIndex1NSortedReader
    extends Object

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.parser.index.IIndexReader

`IIndexReader.IOne2LongIndex, IIndexReader.IOne2ManyIndex, IIndexReader.IOne2ManyObjectsIndex, IIndexReader.IOne2OneIndex, IIndexReader.IOne2SizeIndex`

### Constructor Summary

Constructors
Constructor and Description
`IntIndex1NSortedReader(File indexFile)`
`IntIndex1NSortedReader(File indexFile, IIndexReader.IOne2OneIndex header, IIndexReader.IOne2OneIndex body)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close the backing file.
`void` `delete()` Delete the backing file.
`int[]` `get(int index)` The header holds positions encoded as p+1 into the body There is no length field - the length is up to the next one, which is greater than the first.
`int` `size()` Size of the index
`void` `unload()` Clear the caches.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntIndex1NSortedReader

    public IntIndex1NSortedReader(File indexFile)
                           throws IOException

Throws:
  `IOException`

#### IntIndex1NSortedReader

    public IntIndex1NSortedReader(File indexFile,
                                  IIndexReader.IOne2OneIndex header,
                                  IIndexReader.IOne2OneIndex body)
                           throws IOException

Throws:
  `IOException`

### Method Detail

#### get

    public int[] get(int index)

The header holds positions encoded as p+1 into the body There is no length field - the length is up to the next one, which is greater than the first. 0 means no data E.g. 10 6 1 0 14 Reading item 0 gets from [10,14) Reading item 1 gets from [6,14) Reading item 2 gets from [1,14) Reading item 3 gets an empty array

Specified by:
  `get` in interface `IIndexReader.IOne2ManyIndex`

#### close

    public void close()

Description copied from interface: `IIndexReader`
Close the backing file.

Specified by:
  `close` in interface `IIndexReader`

#### unload

    public void unload()
                throws IOException

Description copied from interface: `IIndexReader`
Clear the caches. Used when the indexes are not current in use and the memory needs to be reclaimed such as when building the dominator tree.

Specified by:
  `unload` in interface `IIndexReader`
Throws:
  `IOException`

#### size

    public int size()

Description copied from interface: `IIndexReader`
Size of the index

Specified by:
  `size` in interface `IIndexReader`
Returns:
  number of entries

#### delete

    public void delete()

Description copied from interface: `IIndexReader`
Delete the backing file.

Specified by:
  `delete` in interface `IIndexReader`